package com.gic.demo.common.utils;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.codec.digest.DigestUtils;

/**
 * 密码工具
 *
 * @author zhurz
 */
public final class PasswordUtil {

    /**
     * 编码密码（ base64(sha1(password)) ）
     *
     * @param password 明文密码
     * @return
     */
    public static String encodePassword(String password) {
        return Base64.encodeBase64String(DigestUtils.sha1(password == null ? "" : password));
    }

    /**
     * 检查密码是否匹配
     *
     * @param encodePassword 编码过的密码
     * @param password       明文密码
     * @return
     */
    public static boolean checkPassword(String encodePassword, String password) {
        return (encodePassword == null ? "" : encodePassword).equals(encodePassword(password));
    }

}
